#
#  Experience configuration
#  Last updated on 2.1.228-SNAPSHOT-b${BUILD_NUMBER}
#
#  Configure the experience formula and experience settings here.
#
# ####



# https://hub.spigotmc.org/javadocs/spigot/org/bukkit/boss/BarColor.html
# These are the only valid colors for Experience Bars, use the exact name found here
# BLUE, GREEN, PINK, PURPLE, RED, WHITE, YELLOW (As of the time of this update these are the only Bar colors available, this could change in the future so check the BarColor enum to see if it has)
# BarStyle Settings (USE THE EXACT NAME) :
# SEGMENTED_10
#   Splits the boss bar into 10 segments
# SEGMENTED_12
#   Splits the boss bar into 12 segments
# SEGMENTED_20
#   Splits the boss bar into 20 segments
# SEGMENTED_6
#   Splits the boss bar into 6 segments
# SOLID
#   The bar is one solid piece
EarlyGameBoost:
    Enabled: true
ExploitFix:
    Combat:
        XPCeiling:
            Enabled: true
            Damage_Limit: 100
    COTWBreeding: true
    UnsafeEnchantments: false
    # Prevent many exploits related to fishing
    Fishing: true
    EndermanEndermiteFarms: true
    Acrobatics: true
    LavaStoneAndCobbleFarming: true
    TreeFellerReducedXP: true
    PistonCheating: true
    SnowGolemExcavation: true
    # This include NPCs from stuff like Citizens, this is not a setting for Vanilla Minecraft Villagers (Which can be considered NPCs)
    # mcMMO normally doesn't process attacks against an Entity if it is an NPC from another plugin
    # Of course, mcMMO doesn't know for sure whether something is an NPC, it checks a few known things, see our source code to see how
    PreventPluginNPCInteraction: true
Fishing_ExploitFix_Options:
    MoveRange: 3
    OverFishLimit: 10
Experience_Bars:
    # Turn this to false if you wanna disable XP bars
    Enable: true
    Update:
        # XP that you gained from your party but not yourself
        Party: true
        # Passive is stuff like smelting, brewing
        Passive: true
    # If you want to use a fancy edited title from the locale, then you'll probably want to turn this on, but it will make your server do a lot more work!
    # I recommend leaving this off!
    ThisMayCauseLag:
        AlwaysUpdateTitlesWhenXPIsGained:
            Enable: false
            # You can make your own custom details in the locale file without having to use the ExtraDetails setting!
            ExtraDetails: false
    Acrobatics:
        Enable: true
        Color: PINK
        BarStyle: SEGMENTED_6
    Alchemy:
        Enable: true
        Color: PURPLE
        BarStyle: SEGMENTED_6
    Archery:
        Enable: true
        Color: BLUE
        BarStyle: SEGMENTED_6
    Axes:
        Enable: true
        Color: BLUE
        BarStyle: SEGMENTED_6
    Excavation:
        Enable: true
        Color: YELLOW
        BarStyle: SEGMENTED_6
    Fishing:
        Enable: true
        Color: PURPLE
        BarStyle: SEGMENTED_6
    Herbalism:
        Enable: true
        Color: GREEN
        BarStyle: SEGMENTED_6
    Mining:
        Enable: true
        Color: YELLOW
        BarStyle: SEGMENTED_6
    Repair:
        Enable: true
        Color: PURPLE
        BarStyle: SEGMENTED_6
    Salvage:
        Enable: true
        Color: PURPLE
        BarStyle: SEGMENTED_6
    Smelting:
        Enable: true
        Color: PURPLE
        BarStyle: SEGMENTED_6
    Swords:
        Enable: true
        Color: BLUE
        BarStyle: SEGMENTED_6
    Taming:
        Enable: true
        Color: RED
        BarStyle: SEGMENTED_6
    Unarmed:
        Enable: true
        Color: BLUE
        BarStyle: SEGMENTED_6
    Woodcutting:
        Enable: true
        Color: GREEN
        BarStyle: SEGMENTED_6
#
#  Settings for XP formula
# ##
Experience_Formula:
    # Valid values are: LINEAR and EXPONENTIAL
    # If an invalid value is entered, this will reset to the default setting, which is LINEAR
    # LINEAR:      base + (level * multiplier)
    # EXPONENTIAL: multiplier * level ^ exponent + base
    Curve: LINEAR
    
    # If invalid values are entered mcMMO will not start and print an error in the console
    Linear_Values:
        base: 1020
        multiplier: 20
    Exponential_Values:
        multiplier: 0.1
        exponent: 1.8
        base: 2000
    
    # Cumulative experience curves will use a players power level instead of their skill level,
    # players with high power levels will have to gain a lot more experience to reach the next level in every skill.
    Cumulative_Curve: false
    
    # Experience gained in every skill will get multiplied by this value. 1.0 by default, 2.0 means two times as much
    Multiplier:
        Global: 1.0
        PVP: 1.0
    
    # Experience gained from mobs not naturally spawned will get multiplied by this value. 0 by default.
    Eggs:
        Multiplier: 0
    Mobspawners:
        Multiplier: 0
    Nether_Portal:
        Multiplier: 0
    Breeding:
        Multiplier: 1.0
    
    # Experience gained will get divided by these values. 1.0 by default, 2.0 means two times less XP gained.
    Modifier:
        Swords: 1.0
        Taming: 1.0
        Acrobatics: 1.0
        Excavation: 1.0
        Herbalism: 1.0
        Unarmed: 1.0
        Woodcutting: 1.0
        Mining: 1.0
        Archery: 1.0
        Axes: 1.0
        Repair: 1.0
        Fishing: 1.0
        Alchemy: 1.0
    
    # XP earned by players with the permission mcmmo.perks.xp.customboost.<skillname> will get multiplied
    # with 1.25 by default, resulting in a 25% XP boost
    Custom_XP_Perk:
        Boost: 1.25

#
# Settings for Diminished Returns
# ##
Diminished_Returns:
    # This is the minimum amount of XP a player will earn after reaching the timed threshold (this is to prevent punishing a player too hard for earning XP)
    # # A value of 1 would mean that a player gets FULL XP, which defeats the purpose of diminished returns, the default value is 0.05 (5% minimum XP)
    # ## Set this value to 0 to turn it off
    Guaranteed_Minimum_Percentage: 0.05
    Enabled: false
    
    # Limit the amount of experience a player can earn:
    # Threshold (amount of experience) per Time_Interval (in minutes)
    Threshold:
        Swords: 20000
        Taming: 20000
        Acrobatics: 20000
        Excavation: 20000
        Herbalism: 20000
        Unarmed: 20000
        Woodcutting: 20000
        Mining: 20000
        Archery: 20000
        Axes: 20000
        Repair: 20000
        Fishing: 20000
        Alchemy: 20000
    
    Time_Interval: 10

#
#  Settings for XP conversion with '/mcconvert experience'
# ##
Conversion:
    # Old experience will get divided by this modifier
    Exp_Modifier: 1

#
#  Settings for XP distribution
# ##
Experience_Values:
    PVP:
        Rewards: true
    Acrobatics:
        Dodge: 800
        Roll: 600
        Fall: 600
        
        # FeatherFall_Multiplier: Multiply Acrobatics XP by this value when wearing boots with the Feather Fall enchant
        FeatherFall_Multiplier: 2.0
    Alchemy:
        # Alchemy potion stages are based on the number of ingredients added
        # Potion_Stage_1 represents a base potion
        # Potion_Stage_2 represents a base potion with one ingredient
        # Potion_Stage_3 represents a base potion with one ingredient and one amplifier
        # Potion_Stage_4 represents a base potion with one ingredient and two amplifiers
        # Potion_Stage_5 represents a base potion with one ingredient where the amplifiers are swapped
        Potion_Stage_1: 15
        Potion_Stage_2: 30
        Potion_Stage_3: 60
        Potion_Stage_4: 120
        Potion_Stage_5: 0
    Archery:
        Distance_Multiplier: 0.025
    Fishing:
        Cod: 100
        Salmon: 600
        Tropical_Fish: 10000
        Pufferfish: 2400
        Shake: 50
    Excavation:
        Clay: 40
        Dirt: 40
        Rooted_Dirt: 60
        Coarse_Dirt: 40
        Podzol: 40
        Grass_Block: 40
        Gravel: 40
        Mycelium: 40
        Sand: 40
        Red_Sand: 40
        Snow: 20
        Snow_Block: 40
        Soul_Sand: 40
        Soul_Soil: 40
        Mud: 80
        Muddy_Mangrove_Roots: 90
    Woodcutting:
        Crimson_Hyphae: 50
        Stripped_Crimson_Hyphae: 50
        Warped_Hyphae: 50
        Stripped_Warped_Hyphae: 50
        Nether_Wart_Block: 1
        Warped_Wart_Block: 1
        Shroomlight: 100
        Crimson_Stem: 35
        Warped_Stem: 35
        Oak_Log: 70
        Cherry_Log: 105
        Spruce_Log: 80
        Birch_Log: 90
        Jungle_Log: 100
        Acacia_Log: 90
        Dark_Oak_Log: 90
        Stripped_Oak_Log: 70
        Stripped_Cherry_Log: 105
        Stripped_Spruce_Log: 80
        Stripped_Birch_Log: 90
        Stripped_Jungle_Log: 100
        Stripped_Acacia_Log: 90
        Stripped_Dark_Oak_Log: 90
        Stripped_Oak_Wood: 70
        Stripped_Cherry_Wood: 70
        Stripped_Spruce_Wood: 80
        Stripped_Birch_Wood: 90
        Stripped_Jungle_Wood: 100
        Stripped_Acacia_Wood: 90
        Stripped_Dark_Oak_Wood: 90
        Stripped_Mangrove_Log: 110
        Stripped_Crimson_Stem: 50
        Stripped_Warped_Stem: 50
        Oak_Wood: 70
        Cherry_Wood: 105
        Spruce_Wood: 70
        Birch_Wood: 70
        Jungle_Wood: 70
        Acacia_Wood: 70
        Dark_Oak_Wood: 70
        Mangrove_Wood: 80
        Mangrove_Log: 95
        Mangrove_Roots: 10
        Red_Mushroom_Block: 70
        Brown_Mushroom_Block: 70
        Mushroom_Stem: 80
    Herbalism:
        Pitcher_Plant: 160
        Pink_Petals: 10
        Small_Dripleaf: 140
        Big_Dripleaf: 140
        Cave_Vines: 90
        Cave_Vines_Plant: 90
        Glow_Lichen: 5
        Moss_Block: 150
        Crimson_Roots: 6
        Warped_Roots: 6
        Nether_Wart_Block: 3
        Warped_Wart_Block: 3
        Nether_Sprouts: 10
        Crimson_Fungus: 50
        Warped_Fungus: 50
        Shroomlight: 250
        Bee_Nest: 200
        Sweet_Berry_Bush: 50
        Seagrass: 10
        Tall_Seagrass: 10
        Kelp: 3
        Kelp_Plant: 3
        Tube_Coral: 80
        Brain_Coral: 90
        Bubble_Coral: 75
        Fire_Coral: 120
        Horn_Coral: 175
        Tube_Coral_Fan: 80
        Brain_Coral_Fan: 90
        Bubble_Coral_Fan: 75
        Fire_Coral_Fan: 120
        Horn_Coral_Fan: 175
        Tube_Coral_Wall_Fan: 80
        Brain_Coral_Wall_Fan: 90
        Bubble_Coral_Wall_Fan: 75
        Fire_Coral_Wall_Fan: 120
        Horn_Coral_Wall_Fan: 175
        Dead_Tube_Coral: 10
        Dead_Brain_Coral: 10
        Dead_Bubble_Coral: 10
        Dead_Fire_Coral: 10
        Dead_Horn_Coral: 10
        Dead_Tube_Coral_Fan: 10
        Dead_Brain_Coral_Fan: 10
        Dead_Bubble_Coral_Fan: 10
        Dead_Fire_Coral_Fan: 10
        Dead_Horn_Coral_Fan: 10
        Dead_Tube_Coral_Wall_Fan: 10
        Dead_Brain_Coral_Wall_Fan: 10
        Dead_Bubble_Coral_Wall_Fan: 10
        Dead_Fire_Coral_Wall_Fan: 10
        Dead_Horn_Coral_Wall_Fan: 10
        Allium: 300
        Azure_Bluet: 150
        Blue_Orchid: 150
        Brown_Mushroom: 150
        Cactus: 30
        Chorus_Flower: 25
        Chorus_Plant: 1
        Carrots: 50
        Cocoa: 30
        Potatoes: 50
        Wheat: 50
        Beetroots: 50
        Nether_Wart: 50
        Dead_Bush: 30
        Lilac: 50
        Melon: 20
        Orange_Tulip: 150
        Oxeye_Daisy: 150
        Peony: 50
        Pink_Tulip: 150
        Poppy: 100
        Pumpkin: 20
        Red_Mushroom: 150
        Red_Tulip: 150
        Rose_Bush: 50
        Fern: 10
        Grass: 10
        Short_Grass: 10
        Sugar_Cane: 30
        Sunflower: 50
        Tall_Grass: 50
        Large_Fern: 50
        Vine: 10
        Weeping_Vines_Plant: 10
        Twisting_Vines_Plant: 10
        Lily_Pad: 100
        White_Tulip: 150
        Dandelion: 100
        Bamboo: 10
        Cornflower: 150
        Lily_Of_The_Valley: 150
        Wither_Rose: 500
        Torchflower: 90
    Mining:
        Sculk: 4
        Sculk_Vein: 3
        Sculk_Sensor: 6
        Sculk_Catalyst: 10
        Sculk_Shrieker: 12
        Reinforced_Deepslate: 500
        Tuff: 10
        Copper_Ore: 1400
        Deepslate_Copper_Ore: 1900
        Deepslate: 30
        Cobbled_Deepslate: 15
        Calcite: 400
        Smooth_Basalt: 300
        Amethyst_Block: 500
        Budding_Amethyst: 400
        Small_Amethyst_Bud: 10
        Medium_Amethyst_Bud: 20
        Large_Amethyst_Bud: 30
        Amethyst_Cluster: 60
        Bone_Block: 500
        Crying_Obsidian: 3000
        Chain: 100
        Blackstone: 55
        Warped_Nylium: 5
        Crimson_Nylium: 5
        Ancient_Debris: 7777
        Magma_Block: 30
        Basalt: 40
        Tube_Coral_Block: 75
        Brain_Coral_Block: 80
        Bubble_Coral_Block: 70
        Fire_Coral_Block: 90
        Horn_Coral_Block: 125
        Coal_Ore: 400
        Deepslate_Coal_Ore: 700
        Diamond_Ore: 2400
        Deepslate_Diamond_Ore: 3600
        Emerald_Ore: 1000
        Deepslate_Emerald_Ore: 1700
        End_Bricks: 50
        Chiseled_Nether_Bricks: 50
        Cracked_Nether_Bricks: 50
        Nether_Bricks: 50
        Red_Nether_Bricks: 50
        End_Stone: 15
        Glowstone: 15
        Gold_Ore: 1300
        Deepslate_Gold_Ore: 1900
        Nether_Gold_Ore: 1300
        Gilded_Blackstone: 200
        Terracotta: 30
        Iron_Ore: 900
        Deepslate_Iron_Ore: 1300
        Lapis_Ore: 800
        Lapis_Lazuli_Ore: 800
        Deepslate_Lapis_Ore: 1400
        Mossy_Cobblestone: 30
        Netherrack: 15
        Obsidian: 150
        Packed_Ice: 15
        Blue_Ice: 15
        Nether_Quartz_Ore: 300
        Redstone_Ore: 600
        Deepslate_Redstone_Ore: 900
        Sandstone: 30
        Black_Terracotta: 50
        Blue_Terracotta: 50
        Brown_Terracotta: 50
        Cyan_Terracotta: 50
        Gray_Terracotta: 50
        Green_Terracotta: 50
        Light_Blue_Terracotta: 50
        Light_Gray_Terracotta: 50
        Lime_Terracotta: 50
        Magenta_Terracotta: 50
        Orange_Terracotta: 50
        Pink_Terracotta: 50
        Purple_Terracotta: 50
        Red_Terracotta: 50
        White_Terracotta: 50
        Yellow_Terracotta: 50
        Stone: 15
        Granite: 15
        Andesite: 15
        Diorite: 15
        Stone_Bricks: 50
        Cracked_Stone_Bricks: 50
        Mossy_Stone_Bricks: 50
        Chiseled_Stone_Bricks: 50
        Red_Sandstone: 100
        Prismarine: 70
        Prismarine_Bricks: 70
        Dark_Prismarine: 70
        Sea_Lantern: 70
        Purpur_Block: 200
        Purpur_Pillar: 250
        Purpur_Slab: 150
        Purpur_Stairs: 250
        Packed_Mud: 30
        Mud_Bricks: 40
        Dripstone_Block: 35
    Repair:
        Base: 1000.0
        Wood: 0.6
        Stone: 1.3
        Iron: 2.5
        Gold: 0.3
        Diamond: 5.0
        Netherite: 6.0
        Leather: 1.6
        String: 1.8
        Other: 1.5
    Smelting:
        Raw_Copper: 75
        Deepslate_Redstone_Ore: 30
        Deepslate_Copper_Ore: 100
        Deepslate_Coal_Ore: 20
        Deepslate_Diamond_Ore: 140
        Deepslate_Emerald_Ore: 110
        Deepslate_Iron_Ore: 40
        Deepslate_Gold_Ore: 50
        Deepslate_Lapis_Lazuli_Ore: 60
        Copper_Ore: 75
        Ancient_Debris: 200
        Coal_Ore: 10
        Diamond_Ore: 75
        Emerald_Ore: 100
        Gold_Ore: 35
        Raw_Gold: 35
        Iron_Ore: 25
        Raw_Iron: 25
        Lapis_Lazuli_Ore: 40
        Lapis_Ore: 40
        Nether_Quartz_Ore: 25
        Redstone_Ore: 15
        Nether_Gold_Ore: 35
        Cobbled_Deepslate: 5
    Taming:
        Animal_Taming:
            Camel: 1300
            Sniffer: 1500
            Snifflet: 900
            Llama: 1200
            Wolf: 250
            Ocelot: 500
            Horse: 1000
            Donkey: 1000
            Mule: 1000
            Skeleton_Horse: 1000
            Zombie_Horse: 1000
            Parrot: 1100
            Cat: 500
            Fox: 1000
            Panda: 1000
            Bee: 100
            Goat: 250
            Axolotl: 600
            Frog: 900
    Combat:
        Multiplier:
            Animals: 1.0
            Creeper: 4.0
            Skeleton: 3.0
            Spider: 2.0
            Giant: 4.0
            Zombie: 2.0
            Slime: 2.0
            Ghast: 3.0
            Pig_Zombie: 3.0
            Enderman: 1.0
            Cave_Spider: 3.0
            Silverfish: 3.0
            Blaze: 3.0
            Magma_Cube: 2.0
            Ender_Dragon: 1.0
            Wither: 1.0
            Witch: 0.1
            Iron_Golem: 2.0
            Wither_Skeleton: 4.0
            Endermite: 2.0
            Guardian: 1.0
            Elder_Guardian: 4.0
            Shulker: 2.0
            Donkey: 1.0
            Mule: 1.0
            Horse: 1.0
            Zombie_Villager: 2.0
            Skeleton_Horse: 1.0
            Zombie_Horse: 1.2
            Husk: 3.0
            Evoker: 3.0
            Polar_Bear: 2.0
            Llama: 1.0
            Vindicator: 3.0
            Stray: 2.0
            Rabbit: 1.0
            Chicken: 1.0
            Bat: 1.0
            Mushroom_Cow: 1.2
            Cow: 1.0
            Turtle: 1.1
            Sheep: 1.0
            Pig: 1.0
            Squid: 1.0
            Ocelot: 1.0
            Villager: 1.0
            Snowman: 0.0
            Parrot: 1.0
            Illusioner: 3.0
            Drowned: 1.0
            Dolphin: 1.3
            Phantom: 4.0
            Cat: 1.0
            Fox: 1.0
            Panda: 1.0
            Pillager: 2.0
            Ravager: 4.0
            Trader_Llama: 1.0
            Wandering_trader: 1.0
            Bee: 1.5
            Piglin: 2.0
            Piglin_Brute: 4.5
            Hoglin: 4.0
            Zombie_Pigman: 3.0
            Zombified_Piglin: 3.0
            Strider: 1.2
            Zoglin: 2.5
            Goat: 1.5
            Axolotl: 1.75
            Glow_Squid: 1.5
            Allay: 0.2
            Frog: 1.7
            Warden: 6.0
            Tadpole: 0.2
            Sniffer: 1.1
            Snifflet: 1.1
            Camel: 1.2
